
#include <stdio.h>
#include <fstream.h>
#include <iostream>
#include <string.h>
#include "textProcessor.h"

//utility functions
char * loadFile(char * name);


int main(int argc, char* argv[])
{
	char * text = loadFile("program.a");  //load file into memory.  Init global pointer
	process(text);  //process text using global pointer
	
	return 0; //default return.
}


//load file into memory
char * loadFile(char * name)
{
	FILE *file; 
	int bytesRead;
	char * text;
	
	file = fopen(name,"r"); //open file
	
	text = (char*)malloc(10485760); //allocate 10mb of memory; 
	
	bytesRead = fread (text, 1, 10485760, file); //read text from file
	
	if (bytesRead >= 10485760) //check if number of bytes read exceeds 10mb buffer
	{
		printf("Could not load entire file into memory. \n");
		exit(1); //exit with error condition
	}
	else
		printf("Loaded %i bytes into memory.\n", bytesRead);
	
	//lowercase the entire file
	for (int i=0; i<bytesRead; i++)
		tolower(text[i]);
	
	return text;
} 


	